<?php
$tdataconsumapa = array();
$tdataconsumapa[".searchableFields"] = array();
$tdataconsumapa[".ShortName"] = "consumapa";
$tdataconsumapa[".OwnerID"] = "";
$tdataconsumapa[".OriginalTable"] = "consumApa";


$tdataconsumapa[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataconsumapa[".originalPagesByType"] = $tdataconsumapa[".pagesByType"];
$tdataconsumapa[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataconsumapa[".originalPages"] = $tdataconsumapa[".pages"];
$tdataconsumapa[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataconsumapa[".originalDefaultPages"] = $tdataconsumapa[".defaultPages"];

//	field labels
$fieldLabelsconsumapa = array();
$fieldToolTipsconsumapa = array();
$pageTitlesconsumapa = array();
$placeHoldersconsumapa = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsconsumapa["Romanian"] = array();
	$fieldToolTipsconsumapa["Romanian"] = array();
	$placeHoldersconsumapa["Romanian"] = array();
	$pageTitlesconsumapa["Romanian"] = array();
	$fieldLabelsconsumapa["Romanian"]["id"] = "Id";
	$fieldToolTipsconsumapa["Romanian"]["id"] = "";
	$placeHoldersconsumapa["Romanian"]["id"] = "";
	$fieldLabelsconsumapa["Romanian"]["dataAdaugare"] = "Data Adaugare";
	$fieldToolTipsconsumapa["Romanian"]["dataAdaugare"] = "";
	$placeHoldersconsumapa["Romanian"]["dataAdaugare"] = "";
	$fieldLabelsconsumapa["Romanian"]["indexVechi"] = "Index Vechi";
	$fieldToolTipsconsumapa["Romanian"]["indexVechi"] = "";
	$placeHoldersconsumapa["Romanian"]["indexVechi"] = "";
	$fieldLabelsconsumapa["Romanian"]["idContor"] = "Id Contor";
	$fieldToolTipsconsumapa["Romanian"]["idContor"] = "";
	$placeHoldersconsumapa["Romanian"]["idContor"] = "";
	$fieldLabelsconsumapa["Romanian"]["indexNou"] = "Index Nou";
	$fieldToolTipsconsumapa["Romanian"]["indexNou"] = "";
	$placeHoldersconsumapa["Romanian"]["indexNou"] = "";
	$fieldLabelsconsumapa["Romanian"]["tipCitire"] = "Tip Citire";
	$fieldToolTipsconsumapa["Romanian"]["tipCitire"] = "";
	$placeHoldersconsumapa["Romanian"]["tipCitire"] = "";
	$fieldLabelsconsumapa["Romanian"]["luna"] = "Luna";
	$fieldToolTipsconsumapa["Romanian"]["luna"] = "";
	$placeHoldersconsumapa["Romanian"]["luna"] = "";
	$fieldLabelsconsumapa["Romanian"]["idAsociatie"] = "Id Asociatie";
	$fieldToolTipsconsumapa["Romanian"]["idAsociatie"] = "";
	$placeHoldersconsumapa["Romanian"]["idAsociatie"] = "";
	$fieldLabelsconsumapa["Romanian"]["idProprietate"] = "Id Proprietate";
	$fieldToolTipsconsumapa["Romanian"]["idProprietate"] = "";
	$placeHoldersconsumapa["Romanian"]["idProprietate"] = "";
	if (count($fieldToolTipsconsumapa["Romanian"]))
		$tdataconsumapa[".isUseToolTips"] = true;
}


	$tdataconsumapa[".NCSearch"] = true;



$tdataconsumapa[".shortTableName"] = "consumapa";
$tdataconsumapa[".nSecOptions"] = 0;

$tdataconsumapa[".mainTableOwnerID"] = "";
$tdataconsumapa[".entityType"] = 0;
$tdataconsumapa[".connId"] = "web111_bl_at_vmw_ro";


$tdataconsumapa[".strOriginalTableName"] = "consumApa";

		 



$tdataconsumapa[".showAddInPopup"] = false;

$tdataconsumapa[".showEditInPopup"] = false;

$tdataconsumapa[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataconsumapa[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataconsumapa[".listAjax"] = false;
//	temporary
$tdataconsumapa[".listAjax"] = false;

	$tdataconsumapa[".audit"] = false;

	$tdataconsumapa[".locking"] = false;


$pages = $tdataconsumapa[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataconsumapa[".edit"] = true;
	$tdataconsumapa[".afterEditAction"] = 1;
	$tdataconsumapa[".closePopupAfterEdit"] = 1;
	$tdataconsumapa[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataconsumapa[".add"] = true;
$tdataconsumapa[".afterAddAction"] = 1;
$tdataconsumapa[".closePopupAfterAdd"] = 1;
$tdataconsumapa[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataconsumapa[".list"] = true;
}



$tdataconsumapa[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataconsumapa[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataconsumapa[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataconsumapa[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataconsumapa[".printFriendly"] = true;
}



$tdataconsumapa[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataconsumapa[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataconsumapa[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataconsumapa[".isUseAjaxSuggest"] = true;

$tdataconsumapa[".rowHighlite"] = true;





$tdataconsumapa[".ajaxCodeSnippetAdded"] = false;

$tdataconsumapa[".buttonsAdded"] = false;

$tdataconsumapa[".addPageEvents"] = false;

// use timepicker for search panel
$tdataconsumapa[".isUseTimeForSearch"] = false;


$tdataconsumapa[".badgeColor"] = "8fbc8b";


$tdataconsumapa[".allSearchFields"] = array();
$tdataconsumapa[".filterFields"] = array();
$tdataconsumapa[".requiredSearchFields"] = array();

$tdataconsumapa[".googleLikeFields"] = array();
$tdataconsumapa[".googleLikeFields"][] = "id";
$tdataconsumapa[".googleLikeFields"][] = "dataAdaugare";
$tdataconsumapa[".googleLikeFields"][] = "indexVechi";
$tdataconsumapa[".googleLikeFields"][] = "idContor";
$tdataconsumapa[".googleLikeFields"][] = "indexNou";
$tdataconsumapa[".googleLikeFields"][] = "tipCitire";
$tdataconsumapa[".googleLikeFields"][] = "luna";
$tdataconsumapa[".googleLikeFields"][] = "idAsociatie";
$tdataconsumapa[".googleLikeFields"][] = "idProprietate";



$tdataconsumapa[".tableType"] = "list";

$tdataconsumapa[".printerPageOrientation"] = 0;
$tdataconsumapa[".nPrinterPageScale"] = 100;

$tdataconsumapa[".nPrinterSplitRecords"] = 40;

$tdataconsumapa[".geocodingEnabled"] = false;










$tdataconsumapa[".pageSize"] = 20;

$tdataconsumapa[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataconsumapa[".strOrderBy"] = $tstrOrderBy;

$tdataconsumapa[".orderindexes"] = array();


$tdataconsumapa[".sqlHead"] = "SELECT id,  	dataAdaugare,  	indexVechi,  	idContor,  	indexNou,  	tipCitire,  	luna,  	idAsociatie,  	idProprietate";
$tdataconsumapa[".sqlFrom"] = "FROM consumApa";
$tdataconsumapa[".sqlWhereExpr"] = "";
$tdataconsumapa[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataconsumapa[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataconsumapa[".arrGroupsPerPage"] = $arrGPP;

$tdataconsumapa[".highlightSearchResults"] = true;

$tableKeysconsumapa = array();
$tableKeysconsumapa[] = "id";
$tdataconsumapa[".Keys"] = $tableKeysconsumapa;


$tdataconsumapa[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["id"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "id";
//	dataAdaugare
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dataAdaugare";
	$fdata["GoodName"] = "dataAdaugare";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","dataAdaugare");
	$fdata["FieldType"] = 135;

	
	
	
										

		$fdata["strField"] = "dataAdaugare";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dataAdaugare";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["dataAdaugare"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "dataAdaugare";
//	indexVechi
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "indexVechi";
	$fdata["GoodName"] = "indexVechi";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","indexVechi");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "indexVechi";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "indexVechi";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["indexVechi"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "indexVechi";
//	idContor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "idContor";
	$fdata["GoodName"] = "idContor";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","idContor");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idContor";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idContor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["idContor"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "idContor";
//	indexNou
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "indexNou";
	$fdata["GoodName"] = "indexNou";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","indexNou");
	$fdata["FieldType"] = 14;

	
	
	
										

		$fdata["strField"] = "indexNou";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "indexNou";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["indexNou"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "indexNou";
//	tipCitire
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "tipCitire";
	$fdata["GoodName"] = "tipCitire";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","tipCitire");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "tipCitire";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipCitire";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["tipCitire"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "tipCitire";
//	luna
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "luna";
	$fdata["GoodName"] = "luna";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","luna");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "luna";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "luna";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["luna"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "luna";
//	idAsociatie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "idAsociatie";
	$fdata["GoodName"] = "idAsociatie";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","idAsociatie");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idAsociatie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idAsociatie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["idAsociatie"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "idAsociatie";
//	idProprietate
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "idProprietate";
	$fdata["GoodName"] = "idProprietate";
	$fdata["ownerTable"] = "consumApa";
	$fdata["Label"] = GetFieldLabel("consumApa","idProprietate");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "idProprietate";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "idProprietate";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataconsumapa["idProprietate"] = $fdata;
		$tdataconsumapa[".searchableFields"][] = "idProprietate";


$tables_data["consumApa"]=&$tdataconsumapa;
$field_labels["consumApa"] = &$fieldLabelsconsumapa;
$fieldToolTips["consumApa"] = &$fieldToolTipsconsumapa;
$placeHolders["consumApa"] = &$placeHoldersconsumapa;
$page_titles["consumApa"] = &$pageTitlesconsumapa;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["consumApa"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["consumApa"] = array();



	
				$strOriginalDetailsTable="contoareApa";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="contoareApa";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "contoareapa";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["consumApa"][0] = $masterParams;
				$masterTablesData["consumApa"][0]["masterKeys"] = array();
	$masterTablesData["consumApa"][0]["masterKeys"][]="id";
				$masterTablesData["consumApa"][0]["detailKeys"] = array();
	$masterTablesData["consumApa"][0]["detailKeys"][]="idContor";
		
	
				$strOriginalDetailsTable="proprietate";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="proprietate";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "proprietate";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["consumApa"][1] = $masterParams;
				$masterTablesData["consumApa"][1]["masterKeys"] = array();
	$masterTablesData["consumApa"][1]["masterKeys"][]="id";
				$masterTablesData["consumApa"][1]["detailKeys"] = array();
	$masterTablesData["consumApa"][1]["detailKeys"][]="idProprietate";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_consumapa()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	dataAdaugare,  	indexVechi,  	idContor,  	indexNou,  	tipCitire,  	luna,  	idAsociatie,  	idProprietate";
$proto0["m_strFrom"] = "FROM consumApa";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "consumApa";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "dataAdaugare",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto8["m_sql"] = "dataAdaugare";
$proto8["m_srcTableName"] = "consumApa";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "indexVechi",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto10["m_sql"] = "indexVechi";
$proto10["m_srcTableName"] = "consumApa";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "idContor",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto12["m_sql"] = "idContor";
$proto12["m_srcTableName"] = "consumApa";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "indexNou",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto14["m_sql"] = "indexNou";
$proto14["m_srcTableName"] = "consumApa";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "tipCitire",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto16["m_sql"] = "tipCitire";
$proto16["m_srcTableName"] = "consumApa";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "luna",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto18["m_sql"] = "luna";
$proto18["m_srcTableName"] = "consumApa";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "idAsociatie",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto20["m_sql"] = "idAsociatie";
$proto20["m_srcTableName"] = "consumApa";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "idProprietate",
	"m_strTable" => "consumApa",
	"m_srcTableName" => "consumApa"
));

$proto22["m_sql"] = "idProprietate";
$proto22["m_srcTableName"] = "consumApa";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "consumApa";
$proto25["m_srcTableName"] = "consumApa";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "id";
$proto25["m_columns"][] = "dataAdaugare";
$proto25["m_columns"][] = "indexVechi";
$proto25["m_columns"][] = "idContor";
$proto25["m_columns"][] = "indexNou";
$proto25["m_columns"][] = "tipCitire";
$proto25["m_columns"][] = "luna";
$proto25["m_columns"][] = "idAsociatie";
$proto25["m_columns"][] = "idProprietate";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "consumApa";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "consumApa";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="consumApa";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_consumapa = createSqlQuery_consumapa();


	
					
;

									

$tdataconsumapa[".sqlquery"] = $queryData_consumapa;



$tableEvents["consumApa"] = new eventsBase;
$tdataconsumapa[".hasEvents"] = false;

?>